#
# spec file for package libnpupnp
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define so_ver  9
Name:           libnpupnp
Version:        5.0.0
Release:        bp155.1.13
Summary:        A C++ base UPnP library, derived from Portable UPnP, a.k.a libupnp
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://www.lesbonscomptes.com/upmpdcli/
Source0:        https://www.lesbonscomptes.com/upmpdcli/downloads/libnpupnp-%{version}.tar.gz
Source1:        https://www.lesbonscomptes.com/upmpdcli/downloads/libnpupnp-%{version}.tar.gz.asc
Source2:        https://www.lesbonscomptes.com/pages/jf-at-dockes.org.pub#/%{name}.keyring
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmicrohttpd)

%description
A C++ base UPnP library, derived from Portable UPnP, a.k.a libupnp

%package -n %{name}%{so_ver}
Summary:        A C++ base UPnP library, derived from Portable UPnP, a.k.a libupnp
Group:          System/Libraries

%description -n %{name}%{so_ver}
A C++ base UPnP library, derived from Portable UPnP, a.k.a libupnp

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}%{so_ver} = %{version}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig -n %{name}%{so_ver}
%postun -p /sbin/ldconfig -n %{name}%{so_ver}

%files -n %{name}%{so_ver}
%license COPYING
%{_libdir}/*.so.*

%files -n libnpupnp-devel
%license COPYING
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Aug 13 2022 Michael Pujos <pujos.michael@gmail.com>
- update to 5.0.0:
  * Changed the API to avoid truncation of some long subscription IDs.
    Upnp_SID is now an std::string instead of a fixed size array.
    This change should be source-compatible for programs which used
    the UpnpEvent_get_SID_cstr() macro for accessing the value, but the
    ABI changes, hence the major version, package, and shared lib
    version changes
- update to 4.2.3:
  * Fix bug which could close stderr when changing the log level
  * Miscellaneous mostly stylistic changes
* Mon May  9 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 4.2.2
  * Partial sanitizing of the static library object name space.
* Sun Mar 20 2022 Andreas Stieger <andreas.stieger@gmx.de>
- update to 4.2.1:
  * improved compatibility with libupnp 1.14.x
- add upstream signing key and validate source signature
* Mon Dec 20 2021 Dirk Müller <dmueller@suse.com>
- update to 4.1.5:
  * Small fix for working in a BSD jail with single interface
  * Fix vulnerability to DNS-rebind attacks.
* Thu Apr 15 2021 Michael Pujos <pujos.michael@gmail.com>
- update to 4.1.3:
  * Fix working with multiple ipv6 link-local interfaces by adding
    RFC 6874 zone identifiers to the URLs passed to the client code
  * Add UpnpGetUrlHostPortForClient() interface to help users of the
    web server compute their URLs
  * Small build and compat fixes: fix mingw64 build, add empty
    UpnpGetServerUlaGuaPort6() call, adjust how UPNP_ENABLE_IPV6
    affects module existence to make it compatible with pupnp
  * Improve source-level compatibility by defining UPNP_USING_CHUNKED
  * Fix HEAD requests. Samsung TVs now work with Gerbera + libnpupnp
  * Send SERVER and USER-AGENT headers in misc places where mandated or useful
  * Add API for the client code to set the user-agent and server string values
  * Fix building and running with --disable-ipv6
  * Misc portability fixes
* Sun Nov 15 2020 Michael Pujos <pujos.michael@gmail.com>
- Initial version
